export interface IceServer {
    urls: string[] | string;
    username?: string;
    credential?: string;
}
export interface RoomEndpoints {
    http: string;
    https: string;
    ws: string;
    wss: string;
}
export interface Room {
    id: string;
    roomId: string;
    uuid: string;
    owner: string;
    record: boolean;
    number: string;
    sipUri: string;
    bitrate: number;
    serverUuid: string;
    timestamp: number;
    ice: IceServer[];
    server: Partial<RoomEndpoints>;
    token: string;
    participants: string[];
}
