import EventEmitter from 'eventemitter3';
import { Observable } from 'rxjs';
import { WacRequest } from '../WacRequest';
import { ResolvedUsersDto, ResolvedUsersEvent } from './types';
export declare class Resolver {
    private wacRequest;
    readonly event$: Observable<ResolvedUsersEvent>;
    /** @deprecated */
    emitter: EventEmitter<string | symbol, any>;
    constructor(wacRequest: WacRequest);
    getResolvedUsers$(): Observable<ResolvedUsersDto>;
    /** @deprecated */
    getResolvedUsers(): Promise<ResolvedUsersDto>;
    resolveUsers$(userIds: string[]): Observable<ResolvedUsersDto>;
    /** @deprecated */
    resolveUsers(userIds: string[]): Promise<ResolvedUsersDto>;
    /** @deprecated */
    getUserByGatewayUsername(username: string): Promise<string>;
    getUserByGatewayUsername$(username: string): Observable<string | undefined>;
    /** @deprecated */
    getGatewayUsernameByUser(userId: string): Promise<string>;
}
