import { Immutable } from 'immer';
export declare type GroupDto = Immutable<{
    groupId: string;
    name: string;
    participants: readonly string[];
    owner: {
        id: string;
    };
}>;
export declare type GroupEventDto = Immutable<{
    path: '/usersGroup';
    method: 'DELETE';
    body: {
        groupId: string;
    };
} | {
    path: '/usersGroup';
    method: 'POST' | 'PUT';
    body: GroupDto;
}>;
